Name:           pyutil
Version:        1.9.7
Release:        8%{?dist}
Summary:        A collection of mature utilities for Python programmers

Group:          Development/Languages
License:        GPLv2+
URL:            http://allmydata.org/trac/pyutil
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zbase32
BuildRequires:  python-twisted-core
BuildRequires:  net-tools
BuildRequires:  python-simplejson
Requires:	python-twisted-core
Requires:       python-zbase32
Requires:       python-simplejson


%description
These are a few data structures, classes and functions which we've needed
over many years of Python programming and which seem to be of general use
to other Python programmers. Many of the modules that have existed in pyutil
over the years have subsequently been obsoleted by new features added to
the Python language or its standard library, thus showing that we're not
alone in wanting tools like these.

%prep
%setup -q
find . -name "*~" -delete

%build
python setup.py build


%install
python setup.py install -O1 --skip-build --root %{buildroot}

# rename the utilities to something less generic
mv %{buildroot}%{_bindir}/lines %{buildroot}%{_bindir}/%{name}_lines
mv %{buildroot}%{_bindir}/randcookie %{buildroot}%{_bindir}/%{name}_randcookie
mv %{buildroot}%{_bindir}/randfile %{buildroot}%{_bindir}/%{name}_randfile
mv %{buildroot}%{_bindir}/tailx %{buildroot}%{_bindir}/%{name}_tailx
mv %{buildroot}%{_bindir}/try_decoding %{buildroot}%{_bindir}/%{name}_try_decoding
mv %{buildroot}%{_bindir}/unsort %{buildroot}%{_bindir}/%{name}_unsort
mv %{buildroot}%{_bindir}/verinfo %{buildroot}%{_bindir}/%{name}_verinfo
mv %{buildroot}%{_bindir}/passphrase %{buildroot}%{_bindir}/%{name}_passphrase

rm -rf %{buildroot}%{_docdir}/%{name}

# remove shebang
find %{buildroot}%{python_sitelib}/%{name} -type f -name \*.py -o -name test_template | \
	xargs sed -i '/^#!\/usr\/bin\/env/d'
 
%check
%{__python} setup.py test


%files
%defattr(-,root,root,-)
%doc README.rst COPYING.GPL COPYING.TGPPL.html CREDITS
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-*.egg-info
%{_bindir}/%{name}_lines
%{_bindir}/%{name}_randcookie
%{_bindir}/%{name}_randfile
%{_bindir}/%{name}_tailx
%{_bindir}/%{name}_try_decoding
%{_bindir}/%{name}_unsort
%{_bindir}/%{name}_verinfo
%{_bindir}/%{name}_passphrase



%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.7-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.9.7-2
- Don't ship editor backup files

* Fri Jan 17 2014 Anish Patil <apatil@apatil@redhat.com> 1.9.7-1
- Added passphrase utility 

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 01 2012 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.9.1-1
- Upstream released new version

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.8.4-1
- Upstream released new version
- Drop patches which are merged upstream

* Fri Feb 11 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.8.1-2
- Rebuild

* Wed Feb 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.8.1-1
- Upstream released new version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.7.9-3
- Fix broken tests

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.7.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.7.9-1
- Upstream released new version

* Sat Feb 13 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.6.1-4
- Review fixes (#560457)

* Sat Feb 13 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.6.1-3
- Rename utilities to something less generic
- BR Twisted for testsuite

* Fri Feb 12 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.6.1-2
- Remove dependency on darcs

* Sun Jan 31 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.6.1-1
- Initial import

